TAU_ENABLE_ALL_GROUP(3)

Name
TAU_ENABLE_ALL_GROUPS - Enables instrumentation in all groups

Synopsis

C/C++:

TAU_ENABLE_ALL_GROUPS(void);

Fortran:

TAU_ENABLE_ALL_GROUPS(void);

Description

This macro turns on instrumentation in all groups

Example

C/C++ :

    TAU_ENABLE_ALL_GROUPS();

Fortran :

    call TAU_ENABLE_ALL_GROUPS();

Python:

    import pytau
    pytau.enableAllGroups()

See Also

TAU_GET_PROFILE_GROUP(3), TAU_ENABLE_GROUP_NAME(3), TAU_DISABLE_GROUP_NAME(3), TAU_DISABLE_ALL_GROUPS(3)